Get program points-earnings summary report
curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/reports/points-earnings/summary \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"earning_rule_id": "<string>",
"earning_item_id": "<string>",
"card_definition_id": "<string>",
"success_count": 123,
"points": 123,
"pending_points": 123,
"object": "<string>"
}
],
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Get program points-earnings summary report
Documentation in progress
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Returns total points-earnings statistics for the program (all time), optionally filtered by earning rule and card definition.
GET
/
v2
/
loyalties
/
programs
/
{programId}
/
reports
/
points-earnings
/
summary
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"earning_rule_id": "<string>",
"earning_item_id": "<string>",
"card_definition_id": "<string>",
"success_count": 123,
"points": 123,
"pending_points": 123,
"object": "<string>"
}
],
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Authorizations
X-App-Id & X-App-TokenbearerAuth
Path Parameters
Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).
Pattern:
^lprg_[a-f0-9]+$Query Parameters
Field filters. Each field accepts a conditions object with condition operators.
Filters for program points-earnings reports.
Show child attributes
Show child attributes
Last modified on August 4, 2026
Was this page helpful?
⌘I

